{"openapi":"3.1.0","info":{"title":"Call Census Developer API","version":"1.0.0-beta"},"servers":[{"url":"https://api.callcensus.com"}],"paths":{"/v1/developer/calls":{"get":{"operationId":"listDeveloperCalls","summary":"Search projected calls by reporting and review dimensions.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"from","in":"query","required":false,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}},{"name":"to","in":"query","required":false,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}},{"name":"location","in":"query","required":false,"schema":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"}},{"name":"phone","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":40}},{"name":"identity","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":120}},{"name":"provider","in":"query","required":false,"schema":{"enum":["callrail","whatconverts","ctm"]}},{"name":"provider_call_id","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":200}},{"name":"classification","in":"query","required":false,"schema":{"enum":["converted","not_converted","needs_review"]}},{"name":"human_decision","in":"query","required":false,"schema":{"enum":["converted","not_converted","unreviewed"]}},{"name":"outcome","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":100}},{"name":"ai_recommendation","in":"query","required":false,"schema":{"enum":["converted","not_converted","needs_review"]}},{"name":"ai_stage","in":"query","required":false,"schema":{"enum":["booked","qualified","quote","not_lead","unknown"]}},{"name":"has_transcript","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"has_recording","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":1024}},{"name":"sort","in":"query","required":false,"schema":{"enum":["newest","oldest"]}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/listDeveloperCallsResponse"},"example":{"data":[],"total":0,"next_cursor":null,"applied_filters":{"from":"2026-08-03","to":"2026-09-01"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z"},"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"425":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"dataset_not_ready","message":"Developer data is still provisioning.","retryable":true,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]}},"/v1/developer/calls/{callId}":{"get":{"operationId":"getDeveloperCall","summary":"Read one projected call and its current classification detail.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"callId","in":"path","required":true,"schema":{"type":"string","pattern":"^call_[a-f0-9]{24}$"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getDeveloperCallResponse"},"example":{"id":"call_0123456789abcdef01234567"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"425":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"dataset_not_ready","message":"Developer data is still provisioning.","retryable":true,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]}},"/v1/developer/calls/{callId}/recording-session":{"post":{"operationId":"createDeveloperCallRecordingSession","summary":"Prepare a short-lived recording playback session for one projected call.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"callId","in":"path","required":true,"schema":{"type":"string","pattern":"^call_[a-f0-9]{24}$"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createDeveloperCallRecordingSessionResponse"},"example":{"status":"ready","url":"https://api.callcensus.com/v1/recording-sessions/00000000-0000-4000-8000-000000000000/stream?token=redacted","expires_in_seconds":1200,"duration_seconds":180}}}},"202":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createDeveloperCallRecordingSessionResponse202"},"example":{"status":"preparing","retry_after_seconds":2}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"425":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"dataset_not_ready","message":"Developer data is still provisioning.","retryable":true,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]}},"/v1/developer/calls/{callId}/transcript":{"get":{"operationId":"getDeveloperCallTranscript","summary":"Read the projected transcript for one call.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"callId","in":"path","required":true,"schema":{"type":"string","pattern":"^call_[a-f0-9]{24}$"}},{"name":"source","in":"query","required":false,"schema":{"enum":["callcensus","provider"],"default":"callcensus"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getDeveloperCallTranscriptResponse"},"example":{"call_id":"call_0123456789abcdef01234567","text":"The caller booked Tuesday.","source":"openai","updated_at":"2026-09-01T08:03:00Z"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"425":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"dataset_not_ready","message":"Developer data is still provisioning.","retryable":true,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]}},"/v1/developer/historical-imports":{"get":{"operationId":"listDeveloperHistoricalImports","summary":"List historical imports and progress.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/listDeveloperHistoricalImportsResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]},"post":{"operationId":"createDeveloperHistoricalImport","summary":"Start a metadata-only historical source scan.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"idempotency-key","in":"header","required":false,"schema":{"type":"string","minLength":1,"maxLength":160}}],"responses":{"202":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/createDeveloperHistoricalImportResponse202"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"409":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"422":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["imports:write"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["source_id"],"properties":{"source_id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"range":{"type":"object","additionalProperties":false,"properties":{"mode":{"enum":["recent","custom","all_available"]},"from":{"type":"string","format":"date"},"to":{"type":"string","format":"date"}}}}}}}}}},"/v1/developer/historical-imports/{importId}":{"get":{"operationId":"getDeveloperHistoricalImport","summary":"Read one historical import and its progress.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"importId","in":"path","required":true,"schema":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getDeveloperHistoricalImportResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]}},"/v1/developer/historical-imports/{importId}/cancel":{"post":{"operationId":"cancelDeveloperHistoricalImport","summary":"Historical import action: cancel.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"importId","in":"path","required":true,"schema":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"}},{"name":"idempotency-key","in":"header","required":false,"schema":{"type":"string","minLength":1,"maxLength":160}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/cancelDeveloperHistoricalImportResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"409":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"422":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["imports:write"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"provider_request_cap":{"type":"integer","minimum":0}}}}}}}},"/v1/developer/historical-imports/{importId}/confirm":{"post":{"operationId":"confirmDeveloperHistoricalImport","summary":"Confirm a scanned historical import and its request budget.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"importId","in":"path","required":true,"schema":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"}},{"name":"idempotency-key","in":"header","required":false,"schema":{"type":"string","minLength":1,"maxLength":160}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/confirmDeveloperHistoricalImportResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"409":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"422":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["imports:write"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["selection_version","selection"],"properties":{"selection_version":{"type":"integer","minimum":1},"provider_request_cap":{"type":"integer","minimum":0},"selection":{"type":"object","additionalProperties":false,"properties":{"minimum_duration_seconds":{"type":"integer","minimum":0,"maximum":3600},"secure_recordings":{"type":"boolean"},"transcribe":{"type":"boolean"},"recommend":{"type":"boolean"},"retain_provider_transcripts":{"type":"boolean"}}}}}}}}}},"/v1/developer/historical-imports/{importId}/pause":{"post":{"operationId":"pauseDeveloperHistoricalImport","summary":"Historical import action: pause.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"importId","in":"path","required":true,"schema":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"}},{"name":"idempotency-key","in":"header","required":false,"schema":{"type":"string","minLength":1,"maxLength":160}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/pauseDeveloperHistoricalImportResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"409":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"422":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["imports:write"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"provider_request_cap":{"type":"integer","minimum":0}}}}}}}},"/v1/developer/historical-imports/{importId}/resume":{"post":{"operationId":"resumeDeveloperHistoricalImport","summary":"Historical import action: resume.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"importId","in":"path","required":true,"schema":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"}},{"name":"idempotency-key","in":"header","required":false,"schema":{"type":"string","minLength":1,"maxLength":160}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/resumeDeveloperHistoricalImportResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"409":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"422":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["imports:write"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"provider_request_cap":{"type":"integer","minimum":0}}}}}}}},"/v1/developer/locations":{"get":{"operationId":"listDeveloperLocations","summary":"List the locations immutably bound to this credential.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":512}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperLocationsResponse"},"example":{"data":[{"id":"loc_qp7Kf4Xv9nM2sT6w","name":"London","status":"active"}],"next_cursor":null,"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"425":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"dataset_not_ready","message":"Developer data is still provisioning.","retryable":true,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["locations:read"]}},"/v1/developer/metrics/daily":{"get":{"operationId":"getDeveloperMetricsDaily","summary":"Read daily aggregate reporting metrics.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"from","in":"query","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}},{"name":"to","in":"query","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}},{"name":"location","in":"query","required":false,"schema":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getDeveloperMetricsDailyResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"425":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"dataset_not_ready","message":"Developer data is still provisioning.","retryable":true,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]}},"/v1/developer/metrics/locations":{"get":{"operationId":"getDeveloperMetricsLocations","summary":"Read locations aggregate reporting metrics.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"from","in":"query","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}},{"name":"to","in":"query","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":100,"default":50}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","minLength":1,"maxLength":512}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getDeveloperMetricsLocationsResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"425":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"dataset_not_ready","message":"Developer data is still provisioning.","retryable":true,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]}},"/v1/developer/metrics/summary":{"get":{"operationId":"getDeveloperMetricsSummary","summary":"Read summary aggregate reporting metrics.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[{"name":"from","in":"query","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}},{"name":"to","in":"query","required":true,"schema":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}$"}},{"name":"location","in":"query","required":false,"schema":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperMetricsSummaryResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"404":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"resource_not_found","message":"The requested resource was not found.","retryable":false,"request_id":"req_example"}}}}},"425":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"dataset_not_ready","message":"Developer data is still provisioning.","retryable":true,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["metrics:read"]}},"/v1/developer/sources":{"get":{"operationId":"listDeveloperSources","summary":"List CallRail and WhatConverts sources available for historical import.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/listDeveloperSourcesResponse"},"example":{"scope":{"kind":"dataset"},"period":{"from":"2026-08-01","to":"2026-08-31","inclusive_days":31,"timezone":"Europe/London"},"freshness":{"status":"fresh","snapshot_completed_at":"2026-09-01T08:05:00Z","calls_as_of":"2026-09-01T08:03:00Z","google_ads_data_through":"2026-08-31","google_ads_partial":false},"definitions":{"calls":"calls-v1","human_outcomes":"confirmed-outcomes-v1","google_attribution":"google-click-id-v1","ai_estimates":[{"definition_ref":"ai_7u4m2k9p8s6v3x1z0q5w","evaluated_calls":96}]},"metrics":{"total_calls":128,"google_attributed_calls":74,"call_census_estimated_leads":{"value":47,"evaluated_calls":96,"label":"Call Census estimate"},"human_reviewed":{"calls":73,"leads":31,"booked_outcomes":12},"google_ads":{"availability":"available","spend_micros":"1234000000","clicks":842,"currency":"GBP","timezone":"Europe/London"},"cost_per_call":{"micros":"16675675","denominator":"google_attributed_calls","denominator_value":74},"cost_per_estimated_lead":{"micros":"30850000","denominator":"google_attributed_estimated_leads","denominator_value":40},"cost_per_human_reviewed_lead":{"micros":"41133333","denominator":"google_attributed_human_reviewed_leads","denominator_value":30}},"warnings":[],"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":["locations:read"]}},"/v1/developer/status":{"get":{"operationId":"developerStatus","summary":"Read credential and aggregate-dataset readiness.","tags":["developer"],"security":[{"CallCensusApiKey":[]}],"parameters":[],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperStatusResponse"},"example":{"api_version":"v1","principal":{"prefix":"cc_beta_ab12cd34…","status":"active","scopes":["locations:read","metrics:read"],"expires_at":"2026-12-01T12:00:00Z"},"dataset":{"status":"ready","location_count":2,"history_months":13,"as_of":"2026-09-01T08:05:00Z","stale":false},"limits":{"max_range_days":92,"max_locations_per_page":100},"request_id":"req_example"}}}},"400":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_request","message":"The request is invalid.","retryable":false,"request_id":"req_example"}}}}},"401":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"invalid_token","message":"The API credential is invalid.","retryable":false,"request_id":"req_example"}}}}},"403":{"description":"Developer API error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"insufficient_scope","message":"The API credential does not grant the required scope.","retryable":false,"request_id":"req_example"}}}}},"429":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"rate_limit_exceeded","message":"The Developer API rate limit was exceeded.","retryable":true,"request_id":"req_example"}}}}},"503":{"description":"Developer API error","headers":{"Retry-After":{"schema":{"type":"integer","minimum":1}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeveloperError"},"example":{"error":{"code":"service_unavailable","message":"Developer reporting is temporarily unavailable.","retryable":true,"request_id":"req_example"}}}}}},"x-call-census-lifecycle":"experimental","x-call-census-sensitivity":"customer_data","x-call-census-rate-limit-policy":"developer-reporting-v1","x-call-census-scopes":[]}}},"components":{"securitySchemes":{"CallCensusApiKey":{"type":"http","scheme":"bearer","bearerFormat":"cc_beta_…"}},"schemas":{"listDeveloperCallsResponse":{"type":"object","additionalProperties":false,"required":["data","total","next_cursor","applied_filters","freshness","request_id"],"properties":{"data":{"type":"array","maxItems":100,"items":{"type":"object","additionalProperties":false,"required":["id","location","started_at","duration_seconds","provider","provider_call_id","caller_number","classification","human_decision","outcome","ai_recommendation","ai_stage","has_transcript","has_recording"],"properties":{"id":{"type":"string","pattern":"^call_[a-f0-9]{24}$"},"location":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"},"name":{"type":"string"}}},"started_at":{"type":"string","format":"date-time"},"duration_seconds":{"anyOf":[{"type":"integer"},{"type":"null"}]},"provider":{"enum":["callrail","whatconverts","ctm"]},"provider_call_id":{"type":"string"},"caller_number":{"anyOf":[{"type":"string"},{"type":"null"}]},"classification":{"enum":["converted","not_converted","needs_review"]},"human_decision":{"enum":["converted","not_converted","unreviewed"]},"outcome":{"anyOf":[{"type":"object","additionalProperties":false,"required":["key","label"],"properties":{"key":{"type":"string"},"label":{"type":"string"}}},{"type":"null"}]},"ai_recommendation":{"enum":["converted","not_converted","needs_review"]},"ai_stage":{"anyOf":[{"type":"string"},{"type":"null"}]},"has_transcript":{"type":"boolean"},"has_recording":{"type":"boolean"}}}},"total":{"type":"integer","minimum":0},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}]},"applied_filters":{"type":"object","additionalProperties":true},"freshness":{"type":"object","additionalProperties":false,"required":["status","snapshot_completed_at","calls_as_of"],"properties":{"status":{"enum":["fresh","stale"]},"snapshot_completed_at":{"type":"string","format":"date-time"},"calls_as_of":{"type":"string","format":"date-time"}}},"request_id":{"type":"string"}}},"getDeveloperCallResponse":{"type":"object","additionalProperties":true,"required":["id","location","started_at","duration_seconds","provider","provider_call_id","caller_number","classification","human_decision","outcome","ai_recommendation","ai_stage","has_transcript","has_recording"],"properties":{"id":{"type":"string","pattern":"^call_[a-f0-9]{24}$"},"location":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"},"name":{"type":"string"}}},"started_at":{"type":"string","format":"date-time"},"duration_seconds":{"anyOf":[{"type":"integer"},{"type":"null"}]},"provider":{"enum":["callrail","whatconverts","ctm"]},"provider_call_id":{"type":"string"},"caller_number":{"anyOf":[{"type":"string"},{"type":"null"}]},"classification":{"enum":["converted","not_converted","needs_review"]},"human_decision":{"enum":["converted","not_converted","unreviewed"]},"outcome":{"anyOf":[{"type":"object","additionalProperties":false,"required":["key","label"],"properties":{"key":{"type":"string"},"label":{"type":"string"}}},{"type":"null"}]},"ai_recommendation":{"enum":["converted","not_converted","needs_review"]},"ai_stage":{"anyOf":[{"type":"string"},{"type":"null"}]},"has_transcript":{"type":"boolean"},"has_recording":{"type":"boolean"}}},"createDeveloperCallRecordingSessionResponse":{"type":"object","additionalProperties":false,"required":["status","url","expires_in_seconds","duration_seconds"],"properties":{"status":{"const":"ready"},"url":{"type":"string"},"expires_in_seconds":{"type":"integer"},"duration_seconds":{"anyOf":[{"type":"number"},{"type":"null"}]}}},"createDeveloperCallRecordingSessionResponse202":{"type":"object","additionalProperties":false,"required":["status","retry_after_seconds"],"properties":{"status":{"const":"preparing"},"retry_after_seconds":{"type":"integer"}}},"getDeveloperCallTranscriptResponse":{"type":"object","additionalProperties":false,"required":["call_id","text","source","updated_at"],"properties":{"call_id":{"type":"string","pattern":"^call_[a-f0-9]{24}$"},"text":{"type":"string"},"source":{"type":"string"},"updated_at":{"type":"string","format":"date-time"}}},"listDeveloperHistoricalImportsResponse":{"type":"object","additionalProperties":false,"required":["data","request_id"],"properties":{"data":{"type":"array","items":{"type":"object","additionalProperties":true,"required":["id","source_id","provider","status","phase","range","selection_version","estimate","progress","created_at","updated_at"],"properties":{"id":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"},"source_id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"provider":{"enum":["callrail","whatconverts"]},"status":{"enum":["scanning","ready","running","paused","completed","completed_with_errors","failed","cancelled"]},"phase":{"enum":["metadata","recordings","transcription","recommendations"]},"range":{"type":"object","additionalProperties":true},"selection_version":{"type":"integer"},"estimate":{"type":"object","additionalProperties":true},"progress":{"type":"object","additionalProperties":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}}},"request_id":{"type":"string"}}},"createDeveloperHistoricalImportResponse202":{"type":"object","additionalProperties":true,"required":["id","source_id","provider","status","phase","range","selection_version","estimate","progress","created_at","updated_at"],"properties":{"id":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"},"source_id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"provider":{"enum":["callrail","whatconverts"]},"status":{"enum":["scanning","ready","running","paused","completed","completed_with_errors","failed","cancelled"]},"phase":{"enum":["metadata","recordings","transcription","recommendations"]},"range":{"type":"object","additionalProperties":true},"selection_version":{"type":"integer"},"estimate":{"type":"object","additionalProperties":true},"progress":{"type":"object","additionalProperties":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"getDeveloperHistoricalImportResponse":{"type":"object","additionalProperties":true,"required":["id","source_id","provider","status","phase","range","selection_version","estimate","progress","created_at","updated_at"],"properties":{"id":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"},"source_id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"provider":{"enum":["callrail","whatconverts"]},"status":{"enum":["scanning","ready","running","paused","completed","completed_with_errors","failed","cancelled"]},"phase":{"enum":["metadata","recordings","transcription","recommendations"]},"range":{"type":"object","additionalProperties":true},"selection_version":{"type":"integer"},"estimate":{"type":"object","additionalProperties":true},"progress":{"type":"object","additionalProperties":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"cancelDeveloperHistoricalImportResponse":{"type":"object","additionalProperties":true,"required":["id","source_id","provider","status","phase","range","selection_version","estimate","progress","created_at","updated_at"],"properties":{"id":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"},"source_id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"provider":{"enum":["callrail","whatconverts"]},"status":{"enum":["scanning","ready","running","paused","completed","completed_with_errors","failed","cancelled"]},"phase":{"enum":["metadata","recordings","transcription","recommendations"]},"range":{"type":"object","additionalProperties":true},"selection_version":{"type":"integer"},"estimate":{"type":"object","additionalProperties":true},"progress":{"type":"object","additionalProperties":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"confirmDeveloperHistoricalImportResponse":{"type":"object","additionalProperties":true,"required":["id","source_id","provider","status","phase","range","selection_version","estimate","progress","created_at","updated_at"],"properties":{"id":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"},"source_id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"provider":{"enum":["callrail","whatconverts"]},"status":{"enum":["scanning","ready","running","paused","completed","completed_with_errors","failed","cancelled"]},"phase":{"enum":["metadata","recordings","transcription","recommendations"]},"range":{"type":"object","additionalProperties":true},"selection_version":{"type":"integer"},"estimate":{"type":"object","additionalProperties":true},"progress":{"type":"object","additionalProperties":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"pauseDeveloperHistoricalImportResponse":{"type":"object","additionalProperties":true,"required":["id","source_id","provider","status","phase","range","selection_version","estimate","progress","created_at","updated_at"],"properties":{"id":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"},"source_id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"provider":{"enum":["callrail","whatconverts"]},"status":{"enum":["scanning","ready","running","paused","completed","completed_with_errors","failed","cancelled"]},"phase":{"enum":["metadata","recordings","transcription","recommendations"]},"range":{"type":"object","additionalProperties":true},"selection_version":{"type":"integer"},"estimate":{"type":"object","additionalProperties":true},"progress":{"type":"object","additionalProperties":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"resumeDeveloperHistoricalImportResponse":{"type":"object","additionalProperties":true,"required":["id","source_id","provider","status","phase","range","selection_version","estimate","progress","created_at","updated_at"],"properties":{"id":{"type":"string","pattern":"^imp_[a-f0-9]{24}$"},"source_id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"provider":{"enum":["callrail","whatconverts"]},"status":{"enum":["scanning","ready","running","paused","completed","completed_with_errors","failed","cancelled"]},"phase":{"enum":["metadata","recordings","transcription","recommendations"]},"range":{"type":"object","additionalProperties":true},"selection_version":{"type":"integer"},"estimate":{"type":"object","additionalProperties":true},"progress":{"type":"object","additionalProperties":true},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"DeveloperLocationsResponse":{"type":"object","additionalProperties":false,"required":["data","next_cursor","request_id"],"properties":{"data":{"type":"array","maxItems":100,"items":{"type":"object","additionalProperties":false,"required":["id","name","status"],"properties":{"id":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"},"name":{"type":"string","maxLength":160},"status":{"enum":["active","archived"]}}}},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}]},"request_id":{"type":"string"}}},"getDeveloperMetricsDailyResponse":{"type":"object","additionalProperties":false,"required":["scope","period","retained_history","freshness","definitions","data","warnings","request_id"],"properties":{"scope":{"oneOf":[{"type":"object","additionalProperties":false,"required":["kind"],"properties":{"kind":{"const":"dataset"}}},{"type":"object","additionalProperties":false,"required":["kind","location"],"properties":{"kind":{"const":"location"},"location":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"},"name":{"type":"string","maxLength":160}}}}}]},"period":{"type":"object","additionalProperties":false,"required":["from","to","inclusive_days","timezone"],"properties":{"from":{"type":"string","format":"date"},"to":{"type":"string","format":"date"},"inclusive_days":{"type":"integer","minimum":1,"maximum":92},"timezone":{"type":"string"}}},"freshness":{"type":"object","additionalProperties":false,"required":["status","snapshot_completed_at","calls_as_of","google_ads_data_through","google_ads_partial"],"properties":{"status":{"enum":["fresh","stale"]},"snapshot_completed_at":{"type":"string","format":"date-time"},"calls_as_of":{"type":"string","format":"date-time"},"google_ads_data_through":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}]},"google_ads_partial":{"type":"boolean"}}},"definitions":{"type":"object","additionalProperties":false,"required":["calls","human_outcomes","google_attribution","ai_estimates"],"properties":{"calls":{"const":"calls-v1"},"human_outcomes":{"const":"confirmed-outcomes-v1"},"google_attribution":{"const":"google-click-id-v1"},"ai_estimates":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["definition_ref","evaluated_calls"],"properties":{"definition_ref":{"type":"string"},"evaluated_calls":{"type":"integer"}}}}}},"warnings":{"type":"array","items":{"type":"string"}},"request_id":{"type":"string"},"retained_history":{"type":"object","additionalProperties":false,"required":["from","to"],"properties":{"from":{"type":"string","format":"date"},"to":{"type":"string","format":"date"}}},"data":{"type":"array","maxItems":92,"items":{"type":"object","additionalProperties":false,"required":["date","metrics"],"properties":{"metrics":{"type":"object","additionalProperties":false,"required":["total_calls","google_attributed_calls","call_census_estimated_leads","human_reviewed","google_ads","cost_per_call","cost_per_estimated_lead","cost_per_human_reviewed_lead"],"properties":{"total_calls":{"type":"integer","minimum":0},"google_attributed_calls":{"type":"integer","minimum":0},"call_census_estimated_leads":{"type":"object","additionalProperties":false,"required":["value","evaluated_calls","label"],"properties":{"value":{"type":"integer","minimum":0},"evaluated_calls":{"type":"integer","minimum":0},"label":{"const":"Call Census estimate"}}},"human_reviewed":{"type":"object","additionalProperties":false,"required":["calls","leads","booked_outcomes"],"properties":{"calls":{"type":"integer","minimum":0},"leads":{"type":"integer","minimum":0},"booked_outcomes":{"type":"integer","minimum":0}}},"google_ads":{"oneOf":[{"type":"object","additionalProperties":false,"required":["availability","spend_micros","clicks","currency","timezone"],"properties":{"availability":{"const":"available"},"spend_micros":{"type":"string","pattern":"^[0-9]+$"},"clicks":{"type":"integer","minimum":0},"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"timezone":{"type":"string"}}},{"type":"object","additionalProperties":false,"required":["availability","reason"],"properties":{"availability":{"enum":["unavailable","stale","mismatched"]},"reason":{"type":"string"}}}]},"cost_per_call":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]},"cost_per_estimated_lead":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]},"cost_per_human_reviewed_lead":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]}}},"date":{"type":"string","format":"date"}}}}}},"getDeveloperMetricsLocationsResponse":{"type":"object","additionalProperties":false,"required":["scope","period","retained_history","freshness","definitions","data","warnings","request_id","next_cursor"],"properties":{"scope":{"oneOf":[{"type":"object","additionalProperties":false,"required":["kind"],"properties":{"kind":{"const":"dataset"}}},{"type":"object","additionalProperties":false,"required":["kind","location"],"properties":{"kind":{"const":"location"},"location":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"},"name":{"type":"string","maxLength":160}}}}}]},"period":{"type":"object","additionalProperties":false,"required":["from","to","inclusive_days","timezone"],"properties":{"from":{"type":"string","format":"date"},"to":{"type":"string","format":"date"},"inclusive_days":{"type":"integer","minimum":1,"maximum":92},"timezone":{"type":"string"}}},"freshness":{"type":"object","additionalProperties":false,"required":["status","snapshot_completed_at","calls_as_of","google_ads_data_through","google_ads_partial"],"properties":{"status":{"enum":["fresh","stale"]},"snapshot_completed_at":{"type":"string","format":"date-time"},"calls_as_of":{"type":"string","format":"date-time"},"google_ads_data_through":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}]},"google_ads_partial":{"type":"boolean"}}},"definitions":{"type":"object","additionalProperties":false,"required":["calls","human_outcomes","google_attribution","ai_estimates"],"properties":{"calls":{"const":"calls-v1"},"human_outcomes":{"const":"confirmed-outcomes-v1"},"google_attribution":{"const":"google-click-id-v1"},"ai_estimates":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["definition_ref","evaluated_calls"],"properties":{"definition_ref":{"type":"string"},"evaluated_calls":{"type":"integer"}}}}}},"warnings":{"type":"array","items":{"type":"string"}},"request_id":{"type":"string"},"retained_history":{"type":"object","additionalProperties":false,"required":["from","to"],"properties":{"from":{"type":"string","format":"date"},"to":{"type":"string","format":"date"}}},"data":{"type":"array","maxItems":100,"items":{"type":"object","additionalProperties":false,"required":["location","metrics"],"properties":{"metrics":{"type":"object","additionalProperties":false,"required":["total_calls","google_attributed_calls","call_census_estimated_leads","human_reviewed","google_ads","cost_per_call","cost_per_estimated_lead","cost_per_human_reviewed_lead"],"properties":{"total_calls":{"type":"integer","minimum":0},"google_attributed_calls":{"type":"integer","minimum":0},"call_census_estimated_leads":{"type":"object","additionalProperties":false,"required":["value","evaluated_calls","label"],"properties":{"value":{"type":"integer","minimum":0},"evaluated_calls":{"type":"integer","minimum":0},"label":{"const":"Call Census estimate"}}},"human_reviewed":{"type":"object","additionalProperties":false,"required":["calls","leads","booked_outcomes"],"properties":{"calls":{"type":"integer","minimum":0},"leads":{"type":"integer","minimum":0},"booked_outcomes":{"type":"integer","minimum":0}}},"google_ads":{"oneOf":[{"type":"object","additionalProperties":false,"required":["availability","spend_micros","clicks","currency","timezone"],"properties":{"availability":{"const":"available"},"spend_micros":{"type":"string","pattern":"^[0-9]+$"},"clicks":{"type":"integer","minimum":0},"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"timezone":{"type":"string"}}},{"type":"object","additionalProperties":false,"required":["availability","reason"],"properties":{"availability":{"enum":["unavailable","stale","mismatched"]},"reason":{"type":"string"}}}]},"cost_per_call":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]},"cost_per_estimated_lead":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]},"cost_per_human_reviewed_lead":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]}}},"location":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"},"name":{"type":"string","maxLength":160}}}}}},"next_cursor":{"anyOf":[{"type":"string"},{"type":"null"}]}}},"DeveloperMetricsSummaryResponse":{"type":"object","additionalProperties":false,"required":["scope","period","freshness","definitions","metrics","warnings","request_id"],"properties":{"scope":{"oneOf":[{"type":"object","additionalProperties":false,"required":["kind"],"properties":{"kind":{"const":"dataset"}}},{"type":"object","additionalProperties":false,"required":["kind","location"],"properties":{"kind":{"const":"location"},"location":{"type":"object","additionalProperties":false,"required":["id","name"],"properties":{"id":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"},"name":{"type":"string","maxLength":160}}}}}]},"period":{"type":"object","additionalProperties":false,"required":["from","to","inclusive_days","timezone"],"properties":{"from":{"type":"string","format":"date"},"to":{"type":"string","format":"date"},"inclusive_days":{"type":"integer","minimum":1,"maximum":92},"timezone":{"type":"string"}}},"freshness":{"type":"object","additionalProperties":false,"required":["status","snapshot_completed_at","calls_as_of","google_ads_data_through","google_ads_partial"],"properties":{"status":{"enum":["fresh","stale"]},"snapshot_completed_at":{"type":"string","format":"date-time"},"calls_as_of":{"type":"string","format":"date-time"},"google_ads_data_through":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}]},"google_ads_partial":{"type":"boolean"}}},"definitions":{"type":"object","additionalProperties":false,"required":["calls","human_outcomes","google_attribution","ai_estimates"],"properties":{"calls":{"const":"calls-v1"},"human_outcomes":{"const":"confirmed-outcomes-v1"},"google_attribution":{"const":"google-click-id-v1"},"ai_estimates":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["definition_ref","evaluated_calls"],"properties":{"definition_ref":{"type":"string"},"evaluated_calls":{"type":"integer"}}}}}},"metrics":{"type":"object","additionalProperties":false,"required":["total_calls","google_attributed_calls","call_census_estimated_leads","human_reviewed","google_ads","cost_per_call","cost_per_estimated_lead","cost_per_human_reviewed_lead"],"properties":{"total_calls":{"type":"integer","minimum":0},"google_attributed_calls":{"type":"integer","minimum":0},"call_census_estimated_leads":{"type":"object","additionalProperties":false,"required":["value","evaluated_calls","label"],"properties":{"value":{"type":"integer","minimum":0},"evaluated_calls":{"type":"integer","minimum":0},"label":{"const":"Call Census estimate"}}},"human_reviewed":{"type":"object","additionalProperties":false,"required":["calls","leads","booked_outcomes"],"properties":{"calls":{"type":"integer","minimum":0},"leads":{"type":"integer","minimum":0},"booked_outcomes":{"type":"integer","minimum":0}}},"google_ads":{"oneOf":[{"type":"object","additionalProperties":false,"required":["availability","spend_micros","clicks","currency","timezone"],"properties":{"availability":{"const":"available"},"spend_micros":{"type":"string","pattern":"^[0-9]+$"},"clicks":{"type":"integer","minimum":0},"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"timezone":{"type":"string"}}},{"type":"object","additionalProperties":false,"required":["availability","reason"],"properties":{"availability":{"enum":["unavailable","stale","mismatched"]},"reason":{"type":"string"}}}]},"cost_per_call":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]},"cost_per_estimated_lead":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]},"cost_per_human_reviewed_lead":{"oneOf":[{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value"],"properties":{"micros":{"type":"string","pattern":"^[0-9]+$"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":1}}},{"type":"object","additionalProperties":false,"required":["micros","denominator","denominator_value","reason"],"properties":{"micros":{"type":"null"},"denominator":{"type":"string"},"denominator_value":{"type":"integer","minimum":0},"reason":{"enum":["zero_denominator","google_ads_unavailable"]}}}]}}},"warnings":{"type":"array","items":{"type":"string"}},"request_id":{"type":"string"},"retained_history":{"type":"object","additionalProperties":false,"required":["from","to"],"properties":{"from":{"type":"string","format":"date"},"to":{"type":"string","format":"date"}}}}},"listDeveloperSourcesResponse":{"type":"object","additionalProperties":false,"required":["data","request_id"],"properties":{"data":{"type":"array","items":{"type":"object","additionalProperties":false,"required":["id","provider","name","location_id","status"],"properties":{"id":{"type":"string","pattern":"^src_[a-f0-9]{24}$"},"provider":{"enum":["callrail","whatconverts"]},"name":{"type":"string"},"location_id":{"type":"string","pattern":"^loc_[A-Za-z0-9_-]{16,64}$"},"status":{"type":"string"}}}},"request_id":{"type":"string"}}},"DeveloperStatusResponse":{"type":"object","additionalProperties":false,"required":["api_version","principal","dataset","limits","request_id"],"properties":{"api_version":{"const":"v1"},"principal":{"type":"object","additionalProperties":false,"required":["prefix","status","scopes","expires_at"],"properties":{"prefix":{"type":"string","pattern":"^cc_beta_[0-9a-f]{8}…$"},"status":{"enum":["provisioning","active","rotating","suspended","expired","revoked"]},"scopes":{"type":"array","uniqueItems":true,"items":{"enum":["locations:read","metrics:read"]}},"expires_at":{"type":"string","format":"date-time"}}},"dataset":{"type":"object","additionalProperties":false,"required":["status","location_count","history_months","as_of","stale"],"properties":{"status":{"enum":["provisioning","ready","stale","failed","revoking","revoked"]},"location_count":{"type":"integer","minimum":0},"history_months":{"const":13},"as_of":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}]},"stale":{"type":"boolean"}}},"limits":{"type":"object","additionalProperties":false,"required":["max_range_days","max_locations_per_page"],"properties":{"max_range_days":{"const":92},"max_locations_per_page":{"const":100}}},"request_id":{"type":"string"}}},"DeveloperError":{"type":"object","additionalProperties":false,"required":["error"],"properties":{"error":{"type":"object","additionalProperties":false,"required":["code","message","retryable","request_id"],"properties":{"code":{"enum":["invalid_request","invalid_cursor","invalid_token","insufficient_scope","ip_not_allowed","resource_not_found","dataset_not_ready","rate_limit_exceeded","service_unavailable"]},"message":{"type":"string"},"retryable":{"type":"boolean"},"request_id":{"type":"string"}}}}}}}}